Cloud DNS API, REST: DnsZone.ListRecordSets
Retrieves the list of record sets in the specified folder.
HTTP request
GET https://dns.api.cloud.yandex.net/dns/v1/zones/{dnsZoneId}:listRecordSets
Path parameters
|
Field |
Description |
|
dnsZoneId |
string Required field. ID of the DNS zone to list record sets in. The maximum string length in characters is 255. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 1000. |
|
filter |
string A filter expression that filters record sets listed in the response. The expression consists of one or more conditions united by
The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"recordSets": [
{
"name": "string",
"type": "string",
"ttl": "string",
"data": [
"string"
],
"description": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
recordSets[] |
List of record sets in the specified DNS zone. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
RecordSet
A record set. For details about the concept, see Resource record.
|
Field |
Description |
|
name |
string Domain name. The string length in characters must be 1-254. |
|
type |
string Record type. The string length in characters must be 1-20. |
|
ttl |
string (int64) Time to live in seconds. Acceptable values are 0 to 2147483647, inclusive. |
|
data[] |
string Data of the record set. The string length in characters for each value must be 1-1024. The number of elements must be in the range 1-100. |
|
description |
string Description of the record set. |